> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rated.network/llms.txt
> Use this file to discover all available pages before exploring further.

# Delegator Summary

This endpoint returns high level information about a delegator over the time period such as their network penetration, rewards, annual percentage rate (APR), paid commissions, and the aggregate effectiveness of their validator delegates.
Here's how to interpret the inputs required to operate it

| Parameter | Context                                                                                |
| :-------- | :------------------------------------------------------------------------------------- |
| window    | Window of the aggregation, with `1d`, `7d`, `30d` and `all` being the supported values |


## OpenAPI

````yaml get /v0/polygon/delegators/{delegator_address}/summary
openapi: 3.1.0
info:
  title: Rated API
  description: >

    Welcome to Rated API Swagger doc for developers! This doc outlines the Rated
    API functionality and API architecture.


    V0: It is separated into seven categories:


    -   **Validators**: Endpoints to query into individual validator indices or
    aggregations of validator indices.

    -   **Operators**: Endpoints to query into pre-materialized operator
    groupings.

    -   **Network**: Endpoints to query into network aggregate stats.

    -   **Slashings**: Endpoints to query into network aggregate stats.

    -   **Withdrawals (beta)**: Endpoints to query into when a withdrawal is
    expected to land.

    -   **Self Report (beta)**: Endpoint to query into all slashed validators
    and individual slashed validator indices


    V1: It is separated into six categories:

    -   **Overview**: Endpoints encapsulating the current status of operators,
    pools and validators.

    -   **Performance**: Endpoints that dive into performance and effectiveness
    metrics on execution and consensus layer for operators, pools and
    validators.

    -   **Rewards**: Endpoints that dive into relevant metrics around rewards
    and penalties for operators, pools and validators.

    -   **Private Sets**: Endpoints that aggregate custom group of validators
    privately for performance and reward drill downs.

    -   **Metadata**: Endpoints that provide metadata about mappings, slashings
    and APRs for validators, pools and operators.

    -   **Network**: Endpoints that provide network level metrics about
    performance, rewards, and distributions.


    [Terms of Use](https://docs.rated.network/legal/terms/api-terms-of-service)


    [API
    Reference](https://docs.rated.network/rated-api/api-reference/introduction)
  version: '1.0'
servers: []
security: []
paths:
  /v0/polygon/delegators/{delegator_address}/summary:
    get:
      tags:
        - Polygon Delegators
      summary: Delegator Summary
      operationId: delegator_summary_v0_polygon_delegators__delegator_address__summary_get
      parameters:
        - name: delegator_address
          in: path
          required: true
          schema:
            type: string
            title: Delegator Address
        - name: window
          in: query
          required: true
          schema:
            $ref: '#/components/schemas/TimeWindow'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PolygonDelegatorSummary'
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
      security:
        - HTTPBearer: []
components:
  schemas:
    TimeWindow:
      type: string
      enum:
        - 1d
        - 7d
        - 30d
        - all
      title: TimeWindow
    PolygonDelegatorSummary:
      properties:
        delegatorAddress:
          type: string
          title: Delegatoraddress
        timeWindow:
          $ref: '#/components/schemas/TimeWindow'
        networkPenetration:
          type: string
          title: Networkpenetration
        delegations:
          items:
            $ref: '#/components/schemas/PolygonDelegation'
          type: array
          title: Delegations
        aprGross:
          anyOf:
            - type: string
            - type: 'null'
          title: Aprgross
        aprNet:
          anyOf:
            - type: string
            - type: 'null'
          title: Aprnet
        aggregateEffectiveness:
          type: string
          title: Aggregateeffectiveness
        blendedCommissionRate:
          type: string
          title: Blendedcommissionrate
        totalDelegatorStake:
          type: string
          title: Totaldelegatorstake
        totalGrossRewards:
          type: string
          title: Totalgrossrewards
        totalNetRewards:
          type: string
          title: Totalnetrewards
        totalCommissionPaid:
          type: string
          title: Totalcommissionpaid
      type: object
      required:
        - delegatorAddress
        - timeWindow
        - networkPenetration
        - delegations
        - aprGross
        - aprNet
        - aggregateEffectiveness
        - blendedCommissionRate
        - totalDelegatorStake
        - totalGrossRewards
        - totalNetRewards
        - totalCommissionPaid
      title: PolygonDelegatorSummary
      examples:
        - aggregateEffectiveness: 0.98865
          aprGross: 0.05
          aprNet: 0.05
          blendedCommissionRate: 0.05125
          delegations:
            - stakePercentage: 0.1
              validatorId: 103
              validatorName: Stake Capital
            - stakePercentage: 0.1
              validatorId: 104
              validatorName: Coinbase Cloud
          delegatorAddress: '0x00000'
          networkPenetration: 0.1
          timeWindow: 30d
          totalCommissionPaid: 112722.21532
          totalDelegatorStake: 400995914.00753
          totalGrossRewards: 1859026.3456
          totalNetRewards: 1746304.13028
    ErrorResponse:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/Error'
          type: array
          title: Detail
      type: object
      required:
        - detail
      title: ErrorResponse
    PolygonDelegation:
      properties:
        validatorId:
          type: integer
          minimum: 0
          title: Validatorid
        validatorName:
          anyOf:
            - type: string
            - type: 'null'
          title: Validatorname
        stakePercentage:
          type: number
          title: Stakepercentage
      type: object
      required:
        - validatorId
        - validatorName
        - stakePercentage
      title: PolygonDelegation
    Error:
      properties:
        loc:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Loc
        msg:
          type: string
          title: Msg
        type:
          type: string
          title: Type
      type: object
      required:
        - msg
        - type
      title: Error
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````